/*
 * Misc tools
 */

#ifndef TOOLS_H
#define TOOLS_H

#include <dirent.h>

char *robust_home();
int my_system(char *command);
void signals_handler(int sig);
void printv(int level, const char *format, ...);
int fexist(const char *filename);
int watch_file(const char *filename, time_t *mtime, int force);
char *get_filename(const char *dirname, const char *filename);
time_t file_is_ok(const char *dirname, const char *filename);
char *test_dir(const char *dirbase, int date, int fsize);
int get_nb_files(DIR *dir, const char *dirname);

#endif
